## Supported payment methods

Get a list of all payment methods that are currently enabled for your merchant account.

The endpoint returns an array of payment method names that you can use with other API endpoints.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/supported-payment-methods HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{}
```

Returns: array

## Response attributes

### `name` (string)

**Always present**. The name of the payment method.

### `display_name` (string)

**Always present**. The display name of the payment method.

### `flow` (string)

**Always present**. The flow of the payment method.

### `category` (string)

**Always present**. The category of the payment method.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
